> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get vacancies list



## OpenAPI

````yaml GET /recruitment/v1/vacancies
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /recruitment/v1/vacancies:
    get:
      tags:
        - Recruitment
      summary: Get vacancies list
      operationId: ListVacancies
      responses:
        '200':
          description: Array of objects
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        companyId:
                          type: string
                          format: uuid
                        name:
                          type: string
                        description:
                          type: string
                        contractType:
                          type: string
                        experience:
                          type: string
                          nullable: true
                        createdById:
                          type: string
                          format: uuid
                        status:
                          type: string
                          enum:
                            - open
                            - closed
                            - draft
                        openedAt:
                          type: string
                          format: Y-m-dTH:i:sP
                          example: '2020-01-01T10:00:00+01:00'
                        createdAt:
                          type: string
                          format: Y-m-dTH:i:sP
                          example: '2020-01-01T10:00:00+01:00'
                        updatedAt:
                          type: string
                          format: Y-m-dTH:i:sP
                          example: '2020-01-01T10:00:00+01:00'
                        public:
                          type: boolean
                        locationVacancy:
                          type: object
                          nullable: true
                          properties:
                            id:
                              type: string
                              format: uuid
                            companyId:
                              type: string
                              format: uuid
                            name:
                              type: string
                            createdAt:
                              type: string
                              format: Y-m-dTH:i:sP
                              example: '2020-01-01T10:00:00+01:00'
                        scheduleType:
                          type: object
                          nullable: true
                          properties:
                            id:
                              type: string
                              format: uuid
                            companyId:
                              type: string
                              format: uuid
                            name:
                              type: string
                            createdAt:
                              type: string
                              format: Y-m-dTH:i:sP
                              example: '2020-01-01T10:00:00+01:00'
                        category:
                          type: object
                          nullable: true
                          properties:
                            id:
                              type: string
                              format: uuid
                            companyId:
                              type: string
                              format: uuid
                            name:
                              type: string
                            createdAt:
                              type: string
                              format: Y-m-dTH:i:sP
                              example: '2020-01-01T10:00:00+01:00'
                        officeIds:
                          type: array
                          items:
                            type: string
                            format: uuid
                        departmentIds:
                          type: array
                          items:
                            type: string
                            format: uuid
                        evaluationId:
                          type: string
                          format: uuid
                          nullable: true
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````